package com.mosty.sjzx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.sjzx.TbSj;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 事件表(TbSj)表数据库访问层
 *
 * @author zhangHaiJun
 * @since 2022-07-14 11:42:30
 */
@Mapper
public interface TbSjMapper extends BaseMapper<TbSj> {

    @ApiOperation("通过ID查询单条数据")
    TbSj queryById(String id);

    @ApiOperation("新增数据")
    void insertEntity(TbSj tbSj);

    @ApiOperation("修改数据")
    int updateEntity(TbSj tbSj);

    @ApiOperation("通过主键删除数据")
    int deleteById(String id);
}


